<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../config/database.php'; 
include_once '../objects/reservation.php'; 
include_once '../config/_globle.php';

$database = new Database();
$db = $database->getConnection();

$reservation = new Reservation($db);

$stmt = $reservation->getColumnChart();
$num = $stmt->rowCount();

$response = array();
$response["records"] = array();

if ($num > 0) {

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row); 

        $item = array(
            "d" => $d, 
            "expense" => (float)$expense,
            "income" => (float)$income,
            "profit" => (float)$profit,
        );

        array_push($response["records"], $item);
    }
}


http_response_code(200);
echo json_encode($response);
?>
